changetrack (4.7-9) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/README.source: added an explanation about the "missing" version 4.7 on
    upstream site.
  * debian/watch: updated the search rule to work with current SF parameters.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 09 Apr 2025 14:02:03 -0300

changetrack (4.7-8) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set a CI test as superficial. (Closes: #969811)
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 17:51:45 -0300

changetrack (4.7-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed VCS fields to point to Salsa.
  * debian/copyright: updated packaging copyright names and years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Mar 2020 22:30:33 -0300

changetrack (4.7-6) unstable; urgency=medium

  * QA upload.
  * Fix access to internal dpkg database.  (Closes: #905802)
  * Set "Rules-Requires-Root" to "no" as changetrack does not need
    (fake)root to build.
  * Use the https:// variant of the link to the copyright spec in
    debian/copyright.

 -- Niels Thykier <niels@thykier.net>  Sun, 11 Nov 2018 17:08:52 +0000

changetrack (4.7-5) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Added the Vcs-Browser field.
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-Hg field to use https.
  * debian/copyright: updated the packaging copyright years.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Dec 2016 22:58:25 -0200

changetrack (4.7-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/control:
      - Added rcs to Build-Depends field.
      - Improved the long description.
      - Updated the Vcs-Hg to use the canonical format.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Fixed the packaging license.
      - Updated the packaging copyright information.
  * debian/defaults: moved to debian/defaults/changetrack.
  * debian/install: added to install some files.
  * debian/manpages: added to install the upstream manpage.
  * debian/rules: migrated to new (reduced) format.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Dec 2015 14:17:30 -0200

changetrack (4.7-3) experimental; urgency=low

  * QA upload.
  * Bump Standards-Version to 3.9.6
  * Update debian/copyright to version 1.0
  * Fix a spelling error in manpage

 -- Joao Pedro Avelino Lara <ti.joaop@gmail.com>  Tue, 09 Dec 2014 11:18:02 -0200

changetrack (4.7-2) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Omit hostname from default destination e-mail address in debian/defaults
    to fix e-mail sending with forwarder-only MTAs. (Closes: #637420)
  * Add build-arch and build-indep to debian/rules.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.

 -- Emanuele Rocca <ema@debian.org>  Sun, 23 Mar 2014 16:18:50 +0100

changetrack (4.7-1) unstable; urgency=low

  * New upstream version.
    (Closes: #616370)
  * Patch reject-weird-filenames is now included upstream.
  * Bump Standards-Version to 3.9.2, no change.

 -- Jens Peter Secher <jps@debian.org>  Sun, 17 Apr 2011 21:03:11 +0200

changetrack (4.5-4) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).
  * Depend on ${misc:Depends}.

 -- Jens Peter Secher <jps@debian.org>  Sun, 17 Apr 2011 20:42:05 +0200

changetrack (4.5-3) unstable; urgency=medium

  * [reject-weird-filenames.diff] Also reject filenames with exclamation
    marks, avoid spaces in auxiliary files, and quote filenames wherever
    possible.  Urgency due to security implications.

 -- Jens Peter Secher <jps@debian.org>  Sun, 20 Sep 2009 15:01:44 +0200

changetrack (4.5-2) unstable; urgency=low

  * [reject-weird-filenames.diff] Fix possible local exploit by rejecting
    filenames with unsafe characters (cf. CVE-2009-3233).  Thanks to Marek
    Grzybowski and Andrzej Lemieszek.
    (Closes: #546791)

 -- Jens Peter Secher <jps@debian.org>  Thu, 17 Sep 2009 22:32:43 +0200

changetrack (4.5-1) unstable; urgency=low

  * New upstream version.
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Added Homepage for upstream.
  * Upgraded to Standards-Version to 3.8.1 and debhelper compatibility to
    7.

 -- Jens Peter Secher <jps@debian.org>  Sat, 18 Apr 2009 21:43:09 +0200

changetrack (4.3-3) unstable; urgency=low

  * Send mail via /usr/sbin/sendmail instead of Mail::Sendmail to avoid
    assuming that there is something listening on port 25, thanks to Ian
    Zimmerman.  (Closes: bug#367987)
  * Bump Standards-Version to 3.7.1 and debhelper compatibility to 5.

 -- Jens Peter Secher <jps@debian.org>  Sat, 20 May 2006 15:58:43 +0200

changetrack (4.3-2) unstable; urgency=low

  * Update FSF address in copyright file.
  * Updated upstream contact points.
  * Bump Standards-Version to 3.6.2.

 -- Jens Peter Secher <jps@debian.org>  Wed, 28 Sep 2005 10:49:50 +0200

changetrack (4.3-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jps@debian.org>  Wed, 27 Apr 2005 20:17:26 +0200

changetrack (3.18-8) unstable; urgency=low

  * Escaped hyphens in manpage where necessary to distinguish hard from
    soft hyphens.
  * Changed comments in conf file to match the default settings.

 -- Jens Peter Secher <jps@debian.org>  Wed, 27 Apr 2005 20:11:07 +0200

changetrack (3.18-7) unstable; urgency=low

  * cron.hourly: Fixed compatibility problem by using "=" instead of "=="
    (closes: bug#293295) and improved comments.

  * watch: Anticipate a change to uscan that makes it possible to extract
    weird upstream version numbering, see bug#282255.

 -- Jens Peter Secher <jps@debian.org>  Sun,  6 Feb 2005 20:58:48 +0100

changetrack (3.18-6) unstable; urgency=low

  * Do not track Gnome schema files automatically, thanks to Achim
    Bohnet. (closes: bug#265143)

 -- Jens Peter Secher <jps@debian.org>  Mon, 16 Aug 2004 22:56:14 +0200

changetrack (3.18-5) unstable; urgency=low

  * Set AUTO_TRACK_ALL_CONFFILES=no be default to avoid annoying
    space-conscious, thanks to Ingmar Schrey. (closes: bug#249451)

 -- Jens Peter Secher <jps@debian.org>  Mon, 17 May 2004 23:44:07 +0200

changetrack (3.18-4) unstable; urgency=low

  * cron.hourly boot-straps by running cron.daily.

  * Ignore non-files, thanks to Markus Kucborski.

 -- Jens Peter Secher <jps@debian.org>  Mon,  3 May 2004 19:46:17 +0200

changetrack (3.18-3) unstable; urgency=low

  * Include examples of what I use in the /etc/changetrack.conf.

  * Run cronjobs using nice.

 -- Jens Peter Secher <jps@debian.org>  Mon, 26 Apr 2004 22:37:04 +0200

changetrack (3.18-2) experimental; urgency=low

  * Automatically place all conffiles under the prying eyes of
    changetrack.

  * Run changetrack hourly.

  * Changed Build-Depends-Indep to Build-Depends because dh_clean in used
    in clean target.

 -- Jens Peter Secher <jps@debian.org>  Mon, 29 Mar 2004 00:36:23 +0200

changetrack (3.18-1) unstable; urgency=low

  * New upstream release
  * Corrected Maintainer and Section fields.

 -- Jens Peter Secher <jps@debian.org>  Thu, 11 Sep 2003 23:01:06 +0200

changetrack (3.17-3) unstable; urgency=low

  * Patch to use fully qualified domain name in From and To fields when
    emailing result.  Thanks to Nathaniel W. Turner  (closes: bug#207152)

 -- Jens Peter Secher <jps@debian.org>  Sun,  7 Sep 2003 22:07:21 +0200

changetrack (3.17-2) unstable; urgency=medium

  * Patch changetrack to avoid security problem when using ed scripts
    instead of RCS.  Send upstream as well.

 -- Jens Peter Secher <jpsecher@diku.dk>  Sun, 27 Jul 2003 22:24:16 +0200

changetrack (3.17-1) unstable; urgency=low

  * New upstream release with my patch to alleviate changetrack from
    susceptibility to the output format of ls.  Thanks to Nathaniel
    W. Turner, Michael Stone and Ron Murray for complaining.
                                                 (closes: #193492,196494)
  * Bundle changeweb.cgi which can assist remote monitoring.
  * Clean-up and extend the use of debhelper and move to compatibility
    level four, and refrain from using debconf.

 -- Jens Peter Secher <jpsecher@diku.dk>  Mon, 21 Jul 2003 16:19:15 +0200

changetrack (3.16-5) unstable; urgency=low

  * debian/rules: make var/lib/changetrack directory the right place.
                                                     (closes: bug#179032)

 -- Jens Peter Secher <jpsecher@diku.dk>  Sat,  1 Feb 2003 09:38:41 +0100

changetrack (3.16-4) unstable; urgency=low

  * debian/cron.daily: Correct misspelling.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed, 30 Oct 2002 12:13:07 +0100

changetrack (3.16-3) unstable; urgency=low

  * Re-hardwired all settings in the Perl script, since they are not
    likely to change.  debian/installer is thus eliminated.
  * Bumped Standards-Version: 3.5.7.

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 26 Sep 2002 19:52:01 +0200

changetrack (3.16-2) unstable; urgency=low

  * debian/installer: Added PERLPATH (without which changetrack did not
    work).
  * Made changetrack take the hostname from the environment.

 -- Jens Peter Secher <jpsecher@diku.dk>  Sat, 21 Sep 2002 18:09:24 +0200

changetrack (3.16-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jpsecher@diku.dk>  Sat, 27 Jul 2002 23:51:06 +0200

changetrack (3.12-3) unstable; urgency=low

  * Applied patch so that the "From" header can be set by an "-f" option.
                                                     (closes: bug#144529)

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 26 Apr 2002 16:33:46 +0200

changetrack (3.12-2) unstable; urgency=low

  * Added Russian template for one of the debconf questions, thanks to
    Ilgiz Kalmetev.                                  (closes: bug#137624)
  * Make sure the history & statistics files are writable.

 -- Jens Peter Secher <jpsecher@diku.dk>  Tue, 23 Apr 2002 16:30:30 +0200

changetrack (3.12-1) unstable; urgency=low

  * New upstream release

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 19 Apr 2002 11:56:11 +0200

changetrack (3.11-1) unstable; urgency=low

  * Changed dependency of cron to suggestion.
  * Do not move old repository.

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 18 Apr 2002 18:11:49 +0200

changetrack (3.9-1) unstable; urgency=low

  * New upstream version: Uses File::NCopy perl module, which means that
    the repository (/var/lib/changetrack) does have to be for root's eyes
    only.
  * Default behaviour is now to send email to root@localhost .
  * Simplified configuration (removed unnecessary debconf stuff).

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed, 20 Feb 2002 23:23:44 +0100

changetrack (3.7-3) unstable; urgency=low

  * Removed /etc/default/changetrack from conffiles and specifically
    remove it in postrm.

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 29 Nov 2001 13:34:50 +0100

changetrack (3.7-2) unstable; urgency=low

  * Changed sender address to "changetrack@localhost".

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 29 Nov 2001 13:34:50 +0100

changetrack (3.7-1) unstable; urgency=low

  * New upstream version: make program quieter when desired.
  * Do not overwrite existing default file /etc/default/changetrack
    if it exists (postinst).
  * Bumped Standards-Version: 3.5.6.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed, 28 Nov 2001 12:42:25 +0100

changetrack (3.6-4) unstable; urgency=low

  * Fix the permission in of /var/lib/changetrack in postinst.

 -- Jens Peter Secher <jpsecher@diku.dk>  Mon, 29 Oct 2001 10:25:17 +0100

changetrack (3.6-3) unstable; urgency=high

  * Fix the permission of /var/lib/changetrack by excluding it from
    dh_fixperms treatment.                           (closes: bug#117075)
  * Removed obsolete info from man page.
  * Additional clean-up.

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 26 Oct 2001 09:56:53 +0200

changetrack (3.6-2) unstable; urgency=low

  * In postrm: "rm -rf /var/lib/changetrack/*"
           --> "rm -rf /var/lib/changetrack" .

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri,  5 Oct 2001 09:17:51 +0200

changetrack (3.6-1) unstable; urgency=low

  * New upstream release

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed,  3 Oct 2001 09:53:03 +0200

changetrack (3.5-4) unstable; urgency=low

  * Changed "Build-Depends" to "Build-Depends-Indep" in control, as required
    by policy 7.6.
  * Changed "Upstream Authors" to "Upstream Author".
  * Added a debian/watch file to facilitate automatic upstream updates.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed,  3 Oct 2001 09:42:20 +0200

changetrack (3.5-3) unstable; urgency=low

  * Unnecessary information about old versions and dependencies have been
    removed from the documentation.
  * Use debconf to ask questions.
  * Enabled report to a list of users through email.
  * Removed changeweb package suggestion (and fixed the rest).

 -- Jens Peter Secher <jpsecher@diku.dk>  Sun,  9 Sep 2001 10:54:16 +0200

changetrack (3.5-2) unstable; urgency=low

  * Parameters can be set in /etc/default/changetrack file.  Initially
    copied from file ./defaults .
  * Changed perl module dependencies to libxxx-yyy-perl.
  * For non-root users, the defaults configuration file is now
    ~/.changetrackrc and the output directory is ~/.changetrack/ .
  * The debian/copyright now refers to GPL (instead of quoting it).

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 23 Aug 2001 14:55:18 +0200

changetrack (3.5-1) unstable; urgency=low

  * Initial Release.
  * Created a Makefile from scratch.
  * Made changetrack operate quietly and check existence of changetrack
    when invoked from the cron.daily script.

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 17 Aug 2001 13:21:12 +0200
